<template>
    <div class="qra-card">
        <div class="qra-card__head" @click="expanded = !expanded">
            <div class="qra-card__head__color" :style="{backgroundColor: types[problem.type].color || '#999'}"></div>
            <div class="qra-card__head__title">{{ types[problem.type].title }} <span class="divider">|</span> {{ problem.title }}</div>
        </div>
        <div class="qra-card__body" v-if="expanded">
            <div class="qra-card__body__title">{{ problem.extended.title }}</div>
            <div class="qra-card__body__text">{{ problem.extended.text }}</div>
        </div>
    </div>
</template>

<script>
export default {
    props: ['problem'],
    data() {
        return {
            expanded: false,

            types: {
                score: {
                    title: 'QUALITY SCORE',
                    color: '#FB4000'
                },
                warnings: {
                    title: 'QUALITY WARNINGS',
                    color: '#E2B05B'
                },
                consistency: {
                    title: 'UNIT CONSISTENCY',
                    color: '#5B8BE2'
                }
            }
        }
    }
}
</script>

<style lang="scss">
.qra-card {
    background-color: white;
    border-radius: 10px;
    margin-bottom: 16px;
    transition: transform .2s ease, box-shadow .2s ease;
    &:hover {
        transform: translateY(-1px);
        box-shadow: 0px 3px 8px rgba(0,0,0,.05);
    }
    &__head {
        height: 42px;
        padding: 0px 16px;
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        line-height: 1;
        cursor: pointer;
        .divider {
            color: #FB4000;
            vertical-align: top;
            display: inline-block;
            vertical-align: bottom;
            margin: 0px 2px;
            font-size: 16px;
            line-height: 0.8;
            top: -2px;
        }
        &__color {
            width: 10px;
            height: 10px;
            margin-right: 8px;
            border-radius: 50%;
        }
        &__title {
            line-height: 1;
            text-transform: uppercase;
        }
    }
    &__body {
        padding: 0px 16px 16px 16px;
        &__title {
            font-size: 18px;
            border-bottom: 2px solid #FB4000;
            display: inline-block;
            margin-bottom: 15px;
            padding-bottom: 6px;
            padding-top: 10px;
        }
        &__text {
            line-height: 1.7;
        }
    }
}
</style>